| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

Classes | Macros | Typedefs | Functions
User Identity Module Service

## Classes
struct | QMI_UIM_GET_CARD_STATUS_RESP_APPL
struct | QMI_UIM_GET_CARD_STATUS_RESP_SLOT
struct | QMI_UIM_GET_CARD_STATUS_RESP
struct | QMI_UIM_VERIFY_PIN_REQ_SESSION_INFORMATION
struct | QMI_UIM_VERIFY_PIN_REQ_VERIFY_PIN
struct | QMI_UIM_VERIFY_PIN_RESP_RETRIES_REMAINING
struct | QMI_UIM_UNBLOCK_PIN_REQ_SESSION_INFORMATION
struct | QMI_UIM_UNBLOCK_PIN_REQ_UNBLOCK_PIN
struct | QMI_UIM_UNBLOCK_PIN_RESP_RETRIES_REMAINING
struct | QMI_UIM_SET_PIN_PROTECTION_REQ_SESSION_INFORMATION
struct | QMI_UIM_SET_PIN_PROTECTION_REQ_SET_PIN_PROTECTION
struct | QMI_UIM_SET_PIN_PROTECTION_RESP_RETRIES_REMAINING
struct | QMI_UIM_CHANGE_PIN_REQ_SESSION_INFORMATION
struct | QMI_UIM_CHANGE_PIN_REQ_CHANGE_PIN
struct | QMI_UIM_CHANGE_PIN_RESP_RETRIES_REMAINING

## Macros
#define | QMI_UIM_GET_CARD_STATUS_MAX_APPL 4
#define | QMI_UIM_GET_CARD_STATUS_MAX_SLOT 2
#define | QMI_UIM_CARD_STATUS QMI_UIM_GET_CARD_STATUS_RESP
#define | QMI_UIM_STATUS_CHANGE_IND_RESP QMI_UIM_CARD_STATUS

## Typedefs
typedef void(GOBICALLBACK * | tFNUIMStatusChangeIndCallback) (QMI_UIM_CARD_STATUS *pCardStatus)

## Functions
IMPORTGOBI ULONG GOBICMAPI | UIMSetPINProtection (QMI_UIM_SET_PIN_PROTECTION_REQ_SESSION_INFORMATION *pSessionInformation, QMI_UIM_SET_PIN_PROTECTION_REQ_SET_PIN_PROTECTION *pSetPINProtection, QMI_UIM_SET_PIN_PROTECTION_RESP_RETRIES_REMAINING *pRetriesRemaining)
IMPORTGOBI ULONG GOBICMAPI | UIMVerifyPIN (QMI_UIM_VERIFY_PIN_REQ_SESSION_INFORMATION *pSessionInformation, QMI_UIM_VERIFY_PIN_REQ_VERIFY_PIN *pVerifyPIN, QMI_UIM_VERIFY_PIN_RESP_RETRIES_REMAINING *pRetriesRemaining)
IMPORTGOBI ULONG GOBICMAPI | UIMUnblockPIN (QMI_UIM_UNBLOCK_PIN_REQ_SESSION_INFORMATION *pSessionInformation, QMI_UIM_UNBLOCK_PIN_REQ_UNBLOCK_PIN *pUnblockPIN, QMI_UIM_UNBLOCK_PIN_RESP_RETRIES_REMAINING *pRetriesRemaining)
IMPORTGOBI ULONG GOBICMAPI | UIMChangePIN (QMI_UIM_CHANGE_PIN_REQ_SESSION_INFORMATION *pSessionInformation, QMI_UIM_CHANGE_PIN_REQ_CHANGE_PIN *pChangePIN, QMI_UIM_CHANGE_PIN_RESP_RETRIES_REMAINING *pRetriesRemaining)
IMPORTGOBI ULONG GOBICMAPI | UIMGetCardStatus (BOOL *pExtendedCardStatus, QMI_UIM_GET_CARD_STATUS_RESP *pCardStatus)
IMPORTGOBI ULONG GOBICMAPI | SetUIMStatusChangeCallback (tFNUIMStatusChangeIndCallback pCallback)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI SetUIMStatusChangeCallback | ( | tFNUIMStatusChangeIndCallback | pCallback | ) |

This function enables/disables the UIM status change callback function. Service ID 0x0B, Message ID 0x0032.

Parameters

  pCallback | [I] Callback function pointer.

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UIMChangePIN | ( | QMI_UIM_CHANGE_PIN_REQ_SESSION_INFORMATION * | pSessionInformation,
|  | QMI_UIM_CHANGE_PIN_REQ_CHANGE_PIN * | pChangePIN,
|  | QMI_UIM_CHANGE_PIN_RESP_RETRIES_REMAINING * | pRetriesRemaining
| ) |  |

This function changes the value of the specified PIN. Service ID 0x0B, Message ID 0x0028.

Parameters

  pSessionInformation | [I/O] Session Information
  pChangePIN | [I/O] Contains the information to change the value of the PIN, including the PIN type, old value and new value.
  pRetriesRemaining | [I/O] Contains the number of retries left

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UIMGetCardStatus | ( | BOOL * | pExtendedCardStatus,
|  | QMI_UIM_GET_CARD_STATUS_RESP * | pCardStatus
| ) |  |

This function retrieves the current status of the card. Service ID 0x0B, Message ID 0x002F.

Parameters

  pExtendedCardStatus | [I] Indicates whether the extended card status is requested. Valid values: 0 – Legacy card status (up to 2 cards) 1 – Extended card status
  pCardStatus | [O] UIM card status information

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UIMSetPINProtection | ( | QMI_UIM_SET_PIN_PROTECTION_REQ_SESSION_INFORMATION * | pSessionInformation,
|  | QMI_UIM_SET_PIN_PROTECTION_REQ_SET_PIN_PROTECTION * | pSetPINProtection,
|  | QMI_UIM_SET_PIN_PROTECTION_RESP_RETRIES_REMAINING * | pRetriesRemaining
| ) |  |

This function enables or disables the protection of the UIM contents by a specific PIN. Service ID 0x0B, Message ID 0x0025.

Parameters

  pSessionInformation | [I/O] Session Information
  pSetPINProtection | [I/O] Contains the information to set the protection of the UIM, including PIN type, enable/disable and the PIN value
  pRetriesRemaining | [I/O] Contains the number of retries left

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UIMUnblockPIN | ( | QMI_UIM_UNBLOCK_PIN_REQ_SESSION_INFORMATION * | pSessionInformation,
|  | QMI_UIM_UNBLOCK_PIN_REQ_UNBLOCK_PIN * | pUnblockPIN,
|  | QMI_UIM_UNBLOCK_PIN_RESP_RETRIES_REMAINING * | pRetriesRemaining
| ) |  |

This function unblocks a blocked PIN using the PUK code. Service ID 0x0B, Message ID 0x0027.

Parameters

  pSessionInformation | [I/O] Session Information
  pUnblockPIN | [I/O] Contains the information to unblock the PIN, including PIN type, PUK value and new PIN value.
  pRetriesRemaining | [I/O] Contains the number of retries left

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UIMVerifyPIN | ( | QMI_UIM_VERIFY_PIN_REQ_SESSION_INFORMATION * | pSessionInformation,
|  | QMI_UIM_VERIFY_PIN_REQ_VERIFY_PIN * | pVerifyPIN,
|  | QMI_UIM_VERIFY_PIN_RESP_RETRIES_REMAINING * | pRetriesRemaining
| ) |  |

This function verifies the PIN before the card content is accessed. Service ID 0x0B, Message ID 0x0026.

Parameters

  pSessionInformation | [I/O] Session Information
  pVerifyPIN | [I/O] Contains the information to verify the PIN, including PIN type, PIN value.
  pRetriesRemaining | [I/O] Contains the number of retries left

Returns
  See GobiErrorCodes.h